export default class KnownHeadphone {
    readonly name: string;
    readonly productId: number;
    readonly batteryPercentIdx: number;
    readonly writeBytes: number[];
    readonly chargingStatusIdx?: number | undefined;
    readonly micStatusIdx?: number | undefined;
    path?: string | undefined;
    readonly vendorId: number;
    static ArctisVendorID: number;
    static Arctis7_2019_ProductID: number;
    static Arctis7_2017_ProductID: number;
    static ArctisProProductID: number;
    static Arctis1WProductID: number;
    static Arctis9ProductID: number;
    static Arctis7XProductID: number;
    static Arctis7PPlusProductID: number;
    static ArctisNova7ProductID: number;
    static ArctisNova7XProductID: number;
    constructor(name: string, productId: number, batteryPercentIdx: number, writeBytes: number[], chargingStatusIdx?: number | undefined, micStatusIdx?: number | undefined, path?: string | undefined, vendorId?: number);
}
